Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.query.base
Class Table

    java.lang.Object
      com.ibm.websphere.query.base.Table

All Implemented Interfaces:
  IStringBuilder, ITable, java.io.Serializable

    public class Table

extends java.lang.Object
implements ITable

A basic implementation of ITable.

See Also:
  Serialized Form

Constructor Summary
`Table(java.lang.String name)`

Method Summary
`java.lang.String` | `buildString(ISelectQueryCallback builder)` Builds a query string using the given builder callback.
`void` | `buildString(ISelectQueryCallback builder, java.lang.StringBuffer sb)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getName()`
`int` | `hashCode()`
`void` | `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Table

    public Table(java.lang.String name)

Method Detail

### buildString

    public java.lang.String buildString(ISelectQueryCallback builder)
                                 throws QueryException

  Description copied from interface: `IStringBuilder`
  Builds a query string using the given builder callback.

  Specified by:
    `buildString` in interface `IStringBuilder`
  Throws:
    `QueryException`

### buildString

    public void buildString(ISelectQueryCallback builder,
                            java.lang.StringBuffer sb)
                     throws QueryException

  Specified by:
    `buildString` in interface `IStringBuilder`
  Throws:
    `QueryException`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ITable`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `ITable`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD